part of xfxbase;

// import 'package:flutter/material.dart';
// import 'XfxMenu.dart';
// import 'package:xwidgetsbase/XStylesBase.dart';

class XApp {
  String app_Name;
  String app_Version;
  String app_FontFamily;
  Color? app_MainColor;
  String api_URL;
  String? blob_ConnString_XUpdater;
  String? blob_ConnString_ToSave;
  String? blob_nameAPP;
  List<XMenuGroup> liXMenus = List<XMenuGroup>.empty(growable: true);
  late Widget Function(XMenuItem) getWidget_FormMenuItem;

  XApp({
    this.app_Name = "",
    this.app_Version = "",
    this.app_FontFamily = "",
    this.app_MainColor,
    this.api_URL = "",
    this.blob_ConnString_XUpdater = "",
    this.blob_ConnString_ToSave = "",
    this.blob_nameAPP = "",
  }) {
    XStyles.googleFontFamily = app_FontFamily;
    if (blob_ConnString_ToSave != null && blob_ConnString_ToSave != "") {
      azureStorage = XAzureStorage.parse(blob_ConnString_ToSave ?? "");
    }
  }
}
